5 Unstar Star 10 Fork 3

读钓 / gitsJavaLGPL-3.0

Create your Gitee Account
Explore and code with more than 5 million developers,Free private repositories !:)
Sign up
Gits 单体与微服务快速开发平台 spread retract

Clone or download
pom.xml 11.17 KB
Copy Edit Web IDE Raw Blame History
<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>xyz.gits.boot</groupId>
<artifactId>gits</artifactId>
<packaging>pom</packaging>
<version>${revision}</version>
<name>gits</name>
<description>Gits project for Spring Boot</description>
<properties>
<revision>1.0.0-SNAPSHOT</revision>
<java.version>1.8</java.version>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
<spring-boot.version>2.3.3.RELEASE</spring-boot.version>
<spring-cloud.version>Hoxton.SR8</spring-cloud.version>
<spring-cloud-alibaba.version>2.2.3.RELEASE</spring-cloud-alibaba.version>
<swagger-spring4all.version>1.9.1.RELEASE</swagger-spring4all.version>
<hutool.version>5.4.2</hutool.version>
<poi.version>3.17</poi.version>
<druid.version>1.1.21</druid.version>
<mybatis-plus.version>3.4.0</mybatis-plus.version>
<jetcache.version>2.6.0</jetcache.version>
<spring-boot-admin.version>2.3.0</spring-boot-admin.version>
<p6spy.version>3.8.5</p6spy.version>
<justauth.version>1.3.3</justauth.version>
<kaptcha.version>1.6.2</kaptcha.version>
<powerjob.version>3.2.3</powerjob.version>
</properties>
<modules>
<module>gits-admin</module>
<module>gits-api</module>
<module>gits-biz</module>
<module>gits-common</module>
<module>gits-system</module>
<module>gits-server</module>
</modules>
<dependencies>
<!-- lombok -->
<dependency>
<groupId>org.projectlombok</groupId>
<artifactId>lombok</artifactId>
</dependency>
<!-- swagger2 start -->
<dependency>
<groupId>com.spring4all</groupId>
<artifactId>swagger-spring-boot-starter</artifactId>
<version>${swagger-spring4all.version}</version>
</dependency>
<!-- swagger2 end -->
<!--配置文件处理器-->
<dependency>
<groupId>org.springframework.boot</groupId>
<artifactId>spring-boot-configuration-processor</artifactId>
<optional>true</optional>
</dependency>
<dependency>
<groupId>org.springframework.boot</groupId>
<artifactId>spring-boot-starter-test</artifactId>
<scope>test</scope>
</dependency>
</dependencies>
<dependencyManagement>
<dependencies>
<!-- SpringBoot 的依赖配置-->
<dependency>
<groupId>org.springframework.boot</groupId>
<artifactId>spring-boot-dependencies</artifactId>
<version>${spring-boot.version}</version>
<type>pom</type>
<scope>import</scope>
</dependency>
<!-- SpringCloud 的依赖配置-->
<dependency>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-dependencies</artifactId>
<version>${spring-cloud.version}</version>
<type>pom</type>
<scope>import</scope>
</dependency>
<!-- https://mvnrepository.com/artifact/com.alibaba.cloud/spring-cloud-alibaba-dependencies -->
<dependency>
<groupId>com.alibaba.cloud</groupId>
<artifactId>spring-cloud-alibaba-dependencies</artifactId>
<version>${spring-cloud-alibaba.version}</version>
<type>pom</type>
<scope>import</scope>
</dependency>
<!-- hutool工具类 -->
<dependency>
<groupId>cn.hutool</groupId>
<artifactId>hutool-all</artifactId>
<version>${hutool.version}</version>
</dependency>
<!-- druid 连接池 -->
<dependency>
<groupId>com.alibaba</groupId>
<artifactId>druid-spring-boot-starter</artifactId>
<version>${druid.version}</version>
</dependency>
<!-- mybatis-plus -->
<dependency>
<groupId>com.baomidou</groupId>
<artifactId>mybatis-plus-boot-starter</artifactId>
<version>${mybatis-plus.version}</version>
</dependency>
<dependency>
<groupId>com.baomidou</groupId>
<artifactId>mybatis-plus-extension</artifactId>
<version>${mybatis-plus.version}</version>
</dependency>
<!-- mybatis-plus 代码生成 -->
<dependency>
<groupId>com.baomidou</groupId>
<artifactId>mybatis-plus-generator</artifactId>
<version>${mybatis-plus.version}</version>
</dependency>
<!-- jetcache -->
<dependency>
<groupId>com.alicp.jetcache</groupId>
<artifactId>jetcache-starter-redis-springdata</artifactId>
<version>${jetcache.version}</version>
</dependency>
<!-- p6spy-->
<dependency>
<groupId>p6spy</groupId>
<artifactId>p6spy</artifactId>
<version>${p6spy.version}</version>
</dependency>
<dependency>
<groupId>xyz.gits.boot</groupId>
<artifactId>gits-common-core</artifactId>
<version>${revision}</version>
</dependency>
<dependency>
<groupId>xyz.gits.boot</groupId>
<artifactId>gits-common-security</artifactId>
<version>${revision}</version>
</dependency>
<dependency>
<groupId>xyz.gits.boot</groupId>
<artifactId>gits-common-security-login</artifactId>
<version>${revision}</version>
</dependency>
<dependency>
<groupId>xyz.gits.boot</groupId>
<artifactId>gits-common-sentinel</artifactId>
<version>${revision}</version>
</dependency>
<dependency>
<groupId>xyz.gits.boot</groupId>
<artifactId>gits-system</artifactId>
<version>${revision}</version>
</dependency>
<dependency>
<groupId>xyz.gits.boot</groupId>
<artifactId>gits-api-interface</artifactId>
<version>${revision}</version>
</dependency>
<dependency>
<groupId>xyz.gits.boot</groupId>
<artifactId>gits-api-remote</artifactId>
<version>${revision}</version>
</dependency>
<dependency>
<groupId>xyz.gits.boot</groupId>
<artifactId>gits-job-core</artifactId>
<version>${revision}</version>
</dependency>
</dependencies>
</dependencyManagement>
<build>
<pluginManagement>
<plugins>
<plugin>
<groupId>org.springframework.boot</groupId>
<artifactId>spring-boot-maven-plugin</artifactId>
<version>${spring-boot.version}</version>
<executions>
<execution>
<goals>
<goal>repackage</goal>
</goals>
</execution>
</executions>
</plugin>
</plugins>
</pluginManagement>
<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-compiler-plugin</artifactId>
<version>3.8.0</version>
<configuration>
<source>${java.version}</source>
<target>${java.version}</target>
<!--javac编译器需要指定-parameters参数以后才会把参数名信息写入到字节码中,然后才能被反射机制读取,默认情况下这个参数是没有指定的。-->
<compilerArgument>-parameters</compilerArgument>
<encoding>${project.build.sourceEncoding}</encoding>
<skip>true</skip>
<compilerArguments>
<!-- 解决maven命令编译报错,因为rt.jar 和jce.jar在jre的lib下面,不在jdk的lib下面,
导致maven找不到(java7以后会出现这个问题),将这2个jar包拷贝到jdk的lib下面估计也好使-->
<bootclasspath>${java.home}/lib/rt.jar</bootclasspath>
</compilerArguments>
</configuration>
</plugin>
<!--
生成一个压缩版的pom.xml文件,然后在install和deploy阶段使用压缩后的pom.xml文件,
替换原来的pom.xml文件,用来解决${revision}变量问题
Could not transfer artifact xyz.gits.boot:gits:pom:${revision} from/to
-->
<plugin>
<groupId>org.codehaus.mojo</groupId>
<artifactId>flatten-maven-plugin</artifactId>
<version>1.1.0</version>
<configuration>
<!--是否更新pom文件,此处还有更高级的用法-->
<updatePomFile>true</updatePomFile>
<flattenMode>resolveCiFriendliesOnly</flattenMode>
</configuration>
<executions>
<execution>
<id>flatten</id>
<phase>process-resources</phase>
<goals>
<goal>flatten</goal>
</goals>
</execution>
<execution>
<id>flatten.clean</id>
<phase>clean</phase>
<goals>
<goal>clean</goal>
</goals>
</execution>
</executions>
</plugin>
</plugins>
</build>
<repositories>
<!--阿里云主仓库,代理了maven central和jcenter仓库-->
<repository>
<id>aliyun</id>
<name>aliyun</name>
<url>https://maven.aliyun.com/repository/public</url>
<releases>
<enabled>true</enabled>
</releases>
<snapshots>
<enabled>false</enabled>
</snapshots>
</repository>
</repositories>
<pluginRepositories>
<pluginRepository>
<id>aliyun-plugin</id>
<url>https://maven.aliyun.com/repository/public</url>
<releases>
<enabled>true</enabled>
</releases>
<snapshots>
<enabled>false</enabled>
</snapshots>
</pluginRepository>
</pluginRepositories>
</project>

Comment ( 0 )

Sign in for post a comment

Java
1
https://gitee.com/songyinyin/gits.git
git@gitee.com:songyinyin/gits.git
songyinyin
gits
gits
master

Search

131423 f1aaba0b 1899542 094922 1c74bed3 1899542